
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Quick start &#8212; Image processing analysis</title>
    
  <link href="../_static/css/theme.css" rel="stylesheet">
  <link href="../_static/css/index.ff1ffe594081f20da1ef19478df9384b.css" rel="stylesheet">

    
  <link rel="stylesheet"
    href="../_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="../_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="stylesheet" href="../_static/sphinx-book-theme.css?digest=c3fdc42140077d1ad13ad2f1588a4309" type="text/css" />
    <link rel="stylesheet" type="text/css" href="../_static/togglebutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/copybutton.css" />
    <link rel="stylesheet" type="text/css" href="../_static/mystnb.css" />
    <link rel="stylesheet" type="text/css" href="../_static/sphinx-thebe.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-main.c949a650a448cc0ae9fd3441c0e17fb0.css" />
    <link rel="stylesheet" type="text/css" href="../_static/panels-variables.06eb56fa6e07937060861dad626602ad.css" />
    
  <link rel="preload" as="script" href="../_static/js/index.be7d3bbb2ef33a8344ce.js">

    <script id="documentation_options" data-url_root="../" src="../_static/documentation_options.js"></script>
    <script src="../_static/jquery.js"></script>
    <script src="../_static/underscore.js"></script>
    <script src="../_static/doctools.js"></script>
    <script src="../_static/clipboard.min.js"></script>
    <script src="../_static/copybutton.js"></script>
    <script >let toggleHintShow = 'Click to show';</script>
    <script >let toggleHintHide = 'Click to hide';</script>
    <script >let toggleOpenOnPrint = 'true';</script>
    <script src="../_static/togglebutton.js"></script>
    <script >var togglebuttonSelector = '.toggle, .admonition.dropdown, .tag_hide_input div.cell_input, .tag_hide-input div.cell_input, .tag_hide_output div.cell_output, .tag_hide-output div.cell_output, .tag_hide_cell.cell, .tag_hide-cell.cell';</script>
    <script src="../_static/sphinx-book-theme.d59cb220de22ca1c485ebbdc042f0030.js"></script>
    <script >const THEBE_JS_URL = "https://unpkg.com/thebe@0.8.2/lib/index.js"
const thebe_selector = ".thebe,.cell"
const thebe_selector_input = "pre"
const thebe_selector_output = ".output, .cell_output"
</script>
    <script async="async" src="../_static/sphinx-thebe.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <script src="https://unpkg.com/@jupyter-widgets/html-manager@^0.20.0/dist/embed-amd.js"></script>
    <script async="async" src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.7/latest.js?config=TeX-AMS-MML_HTMLorMML"></script>
    <script type="text/x-mathjax-config">MathJax.Hub.Config({"tex2jax": {"processClass": "tex2jax_process|mathjax_process|math|output_area"}})</script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="None">
    

    <!-- Google Analytics -->
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    

    <div class="container-xl">
      <div class="row">
          
<div class="col-12 col-md-3 bd-sidebar site-navigation show" id="site-navigation">
    
        <div class="navbar-brand-box">
    <a class="navbar-brand text-wrap" href="../index.html">
      
        <!-- `logo` is deprecated in Sphinx 4.0, so remove this when we stop supporting 3 -->
        
      
      
      <img src="../_static/logo.png" class="logo" alt="logo">
      
      
      <h1 class="site-logo" id="site-title">Image processing analysis</h1>
      
    </a>
</div><form class="bd-search d-flex align-items-center" action="../search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search this book..." aria-label="Search this book..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main">
    <div class="bd-toc-item active">
        <ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="intro.html">
   Welcome to Image Processing Book
  </a>
 </li>
</ul>
<p class="caption">
 <span class="caption-text">
  Tutorials
 </span>
</p>
<ul class="nav bd-sidenav">
 <li class="toctree-l1">
  <a class="reference internal" href="Load_images.html">
   Load an image
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="Autocorrelation.html">
   Autocorrelation
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="Texture_Anisotropy.html">
   Texture anisotropy
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="Band_Detection.html">
   Band detection
  </a>
 </li>
 <li class="toctree-l1">
  <a class="reference internal" href="freq_analysis.html">
   FFT tansformed
  </a>
 </li>
</ul>

    </div>
</nav> <!-- To handle the deprecated key -->

<div class="navbar_extra_footer">
  Powered by <a href="https://jupyterbook.org">Jupyter Book</a>
</div>

</div>


          


          
<main class="col py-md-3 pl-md-4 bd-content overflow-auto" role="main">
    
    <div class="topbar container-xl fixed-top">
    <div class="topbar-contents row">
        <div class="col-12 col-md-3 bd-topbar-whitespace site-navigation show"></div>
        <div class="col pl-md-4 topbar-main">
            
            <button id="navbar-toggler" class="navbar-toggler ml-0" type="button" data-toggle="collapse"
                data-toggle="tooltip" data-placement="bottom" data-target=".site-navigation" aria-controls="navbar-menu"
                aria-expanded="true" aria-label="Toggle navigation" aria-controls="site-navigation"
                title="Toggle navigation" data-toggle="tooltip" data-placement="left">
                <i class="fas fa-bars"></i>
                <i class="fas fa-arrow-left"></i>
                <i class="fas fa-arrow-up"></i>
            </button>
            
            
<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn" aria-label="Download this page"><i
            class="fas fa-download"></i></button>

    <div class="dropdown-buttons">
        <!-- ipynb file if we had a myst markdown file -->
        
        <!-- Download raw file -->
        <a class="dropdown-buttons" href="../_sources/docs/Quick_start.ipynb"><button type="button"
                class="btn btn-secondary topbarbtn" title="Download source file" data-toggle="tooltip"
                data-placement="left">.ipynb</button></a>
        <!-- Download PDF via print -->
        <button type="button" id="download-print" class="btn btn-secondary topbarbtn" title="Print to PDF"
                onclick="printPdf(this)" data-toggle="tooltip" data-placement="left">.pdf</button>
    </div>
</div>

            <!-- Source interaction buttons -->

<div class="dropdown-buttons-trigger">
    <button id="dropdown-buttons-trigger" class="btn btn-secondary topbarbtn"
        aria-label="Connect with source repository"><i class="fab fa-github"></i></button>
    <div class="dropdown-buttons sourcebuttons">
        <a class="repository-button"
            href="https://gricad-gitlab.univ-grenoble-alpes.fr/chauvet/image_processing_book"><button type="button" class="btn btn-secondary topbarbtn"
                data-toggle="tooltip" data-placement="left" title="Source repository"><i
                    class="fab fa-github"></i>repository</button></a>
        <a class="issues-button"
            href="https://gricad-gitlab.univ-grenoble-alpes.fr/chauvet/image_processing_book/issues/new?title=Issue%20on%20page%20%2Fdocs/Quick_start.html&body=Your%20issue%20content%20here."><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Open an issue"><i class="fas fa-lightbulb"></i>open issue</button></a>
        <a class="edit-button" href="https://github.com/chauvet/image_processing_book/edit/main/./docs/Quick_start.ipynb"><button
                type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip" data-placement="left"
                title="Edit this page"><i class="fas fa-pencil-alt"></i>suggest edit</button></a>
    </div>
</div>

            <!-- Full screen (wrap in <a> to have style consistency -->

<a class="full-screen-button"><button type="button" class="btn btn-secondary topbarbtn" data-toggle="tooltip"
        data-placement="bottom" onclick="toggleFullScreen()" aria-label="Fullscreen mode"
        title="Fullscreen mode"><i
            class="fas fa-expand"></i></button></a>

            <!-- Launch buttons -->

        </div>

        <!-- Table of contents -->
        <div class="d-none d-md-block col-md-2 bd-toc show noprint">
            
            <div class="tocsection onthispage pt-5 pb-3">
                <i class="fas fa-list"></i> Contents
            </div>
            <nav id="bd-toc-nav" aria-label="Page">
                <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#the-data">
   The data
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#autocorrelation-analysis">
   Autocorrelation analysis
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#performed-the-autocorrelation-function">
     Performed the autocorrelation function
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#plot-the-autocorrelation-function">
     Plot the autocorrelation function
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#plot-autocorrelation-profil">
     Plot autocorrelation profil
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#auto-corelation-length">
     Auto corelation length
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#time-serie-evolution">
       Time serie evolution
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#band-detection-hough-transform">
   Band detection : Hough transform
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#on-autocorrelation-function">
     On autocorrelation function
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#on-raw-image">
       On raw image
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#on-binary-image">
       On binary image
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#skeletonized-binary-image">
       Skeletonized binary image
      </a>
     </li>
    </ul>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#on-equivalent-strain-field-image">
     On equivalent strain field image
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#id1">
       On raw image
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#on-binairy-image">
       On binairy image
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#texture-anisotropy-from-lehoucq-et-al-2015">
   Texture anisotropy from Lehoucq et al. 2015
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#binairy-image">
     Binairy image
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#time-series-evolution">
       Time series evolution
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

            </nav>
        </div>
    </div>
</div>
    <div id="main-content" class="row">
        <div class="col-12 col-md-9 pl-md-3 pr-md-0">
            <!-- Table of contents that is only displayed when printing the page -->
            <div id="jb-print-docs-body" class="onlyprint">
                <h1>Quick start</h1>
                <!-- Table of contents -->
                <div id="print-main-content">
                    <div id="jb-print-toc">
                        
                        <div>
                            <h2> Contents </h2>
                        </div>
                        <nav aria-label="Page">
                            <ul class="visible nav section-nav flex-column">
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#the-data">
   The data
  </a>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#autocorrelation-analysis">
   Autocorrelation analysis
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#performed-the-autocorrelation-function">
     Performed the autocorrelation function
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#plot-the-autocorrelation-function">
     Plot the autocorrelation function
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#plot-autocorrelation-profil">
     Plot autocorrelation profil
    </a>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#auto-corelation-length">
     Auto corelation length
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#time-serie-evolution">
       Time serie evolution
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#band-detection-hough-transform">
   Band detection : Hough transform
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#on-autocorrelation-function">
     On autocorrelation function
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#on-raw-image">
       On raw image
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#on-binary-image">
       On binary image
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#skeletonized-binary-image">
       Skeletonized binary image
      </a>
     </li>
    </ul>
   </li>
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#on-equivalent-strain-field-image">
     On equivalent strain field image
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#id1">
       On raw image
      </a>
     </li>
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#on-binairy-image">
       On binairy image
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
 <li class="toc-h2 nav-item toc-entry">
  <a class="reference internal nav-link" href="#texture-anisotropy-from-lehoucq-et-al-2015">
   Texture anisotropy from Lehoucq et al. 2015
  </a>
  <ul class="nav section-nav flex-column">
   <li class="toc-h3 nav-item toc-entry">
    <a class="reference internal nav-link" href="#binairy-image">
     Binairy image
    </a>
    <ul class="nav section-nav flex-column">
     <li class="toc-h4 nav-item toc-entry">
      <a class="reference internal nav-link" href="#time-series-evolution">
       Time series evolution
      </a>
     </li>
    </ul>
   </li>
  </ul>
 </li>
</ul>

                        </nav>
                    </div>
                </div>
            </div>
            
              <div>
                
  <div class="tex2jax_ignore mathjax_ignore section" id="quick-start">
<h1>Quick start<a class="headerlink" href="#quick-start" title="Permalink to this headline">¶</a></h1>
<p>This notebook show some analysis that can be performed using <a class="reference external" href="https://gricad-gitlab.univ-grenoble-alpes.fr/mecaiceige/tools/lib_python/xarray_image_processing">xarray_image_processing</a></p>
<div class="section" id="the-data">
<h2>The data<a class="headerlink" href="#the-data" title="Permalink to this headline">¶</a></h2>
<p>We are performing analysis on 2D array on regular structured grid. Therefore the image are store in a <code class="docutils literal notranslate"><span class="pre">xarray.DataArray</span></code> object.</p>
<p>Here we are using Data that are already prepared.</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">pickle</span>
<span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="k">as</span> <span class="nn">plt</span>
<span class="kn">import</span> <span class="nn">numpy</span> <span class="k">as</span> <span class="nn">np</span>
<span class="kn">import</span> <span class="nn">skimage.morphology</span>
<span class="kn">import</span> <span class="nn">xarray</span> <span class="k">as</span> <span class="nn">xr</span>

<span class="kn">import</span> <span class="nn">xarray_image_processing.xarray_image_processing</span> <span class="k">as</span> <span class="nn">ximP</span>
<span class="kn">import</span> <span class="nn">xarray_image_processing.plot_imP</span> <span class="k">as</span> <span class="nn">pimP</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">data</span><span class="o">=</span><span class="n">pickle</span><span class="o">.</span><span class="n">load</span><span class="p">(</span><span class="nb">open</span><span class="p">(</span><span class="s1">&#39;Data/eqVM_Strain_DIC.xr&#39;</span><span class="p">,</span><span class="s1">&#39;rb&#39;</span><span class="p">))</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">data</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_html"><div><svg style="position: absolute; width: 0; height: 0; overflow: hidden">
<defs>
<symbol id="icon-database" viewBox="0 0 32 32">
<path d="M16 0c-8.837 0-16 2.239-16 5v4c0 2.761 7.163 5 16 5s16-2.239 16-5v-4c0-2.761-7.163-5-16-5z"></path>
<path d="M16 17c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
<path d="M16 26c-8.837 0-16-2.239-16-5v6c0 2.761 7.163 5 16 5s16-2.239 16-5v-6c0 2.761-7.163 5-16 5z"></path>
</symbol>
<symbol id="icon-file-text2" viewBox="0 0 32 32">
<path d="M28.681 7.159c-0.694-0.947-1.662-2.053-2.724-3.116s-2.169-2.030-3.116-2.724c-1.612-1.182-2.393-1.319-2.841-1.319h-15.5c-1.378 0-2.5 1.121-2.5 2.5v27c0 1.378 1.122 2.5 2.5 2.5h23c1.378 0 2.5-1.122 2.5-2.5v-19.5c0-0.448-0.137-1.23-1.319-2.841zM24.543 5.457c0.959 0.959 1.712 1.825 2.268 2.543h-4.811v-4.811c0.718 0.556 1.584 1.309 2.543 2.268zM28 29.5c0 0.271-0.229 0.5-0.5 0.5h-23c-0.271 0-0.5-0.229-0.5-0.5v-27c0-0.271 0.229-0.5 0.5-0.5 0 0 15.499-0 15.5 0v7c0 0.552 0.448 1 1 1h7v19.5z"></path>
<path d="M23 26h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
<path d="M23 22h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
<path d="M23 18h-14c-0.552 0-1-0.448-1-1s0.448-1 1-1h14c0.552 0 1 0.448 1 1s-0.448 1-1 1z"></path>
</symbol>
</defs>
</svg>
<style>/* CSS stylesheet for displaying xarray objects in jupyterlab.
 *
 */

:root {
  --xr-font-color0: var(--jp-content-font-color0, rgba(0, 0, 0, 1));
  --xr-font-color2: var(--jp-content-font-color2, rgba(0, 0, 0, 0.54));
  --xr-font-color3: var(--jp-content-font-color3, rgba(0, 0, 0, 0.38));
  --xr-border-color: var(--jp-border-color2, #e0e0e0);
  --xr-disabled-color: var(--jp-layout-color3, #bdbdbd);
  --xr-background-color: var(--jp-layout-color0, white);
  --xr-background-color-row-even: var(--jp-layout-color1, white);
  --xr-background-color-row-odd: var(--jp-layout-color2, #eeeeee);
}

html[theme=dark],
body.vscode-dark {
  --xr-font-color0: rgba(255, 255, 255, 1);
  --xr-font-color2: rgba(255, 255, 255, 0.54);
  --xr-font-color3: rgba(255, 255, 255, 0.38);
  --xr-border-color: #1F1F1F;
  --xr-disabled-color: #515151;
  --xr-background-color: #111111;
  --xr-background-color-row-even: #111111;
  --xr-background-color-row-odd: #313131;
}

.xr-wrap {
  display: block;
  min-width: 300px;
  max-width: 700px;
}

.xr-text-repr-fallback {
  /* fallback to plain text repr when CSS is not injected (untrusted notebook) */
  display: none;
}

.xr-header {
  padding-top: 6px;
  padding-bottom: 6px;
  margin-bottom: 4px;
  border-bottom: solid 1px var(--xr-border-color);
}

.xr-header > div,
.xr-header > ul {
  display: inline;
  margin-top: 0;
  margin-bottom: 0;
}

.xr-obj-type,
.xr-array-name {
  margin-left: 2px;
  margin-right: 10px;
}

.xr-obj-type {
  color: var(--xr-font-color2);
}

.xr-sections {
  padding-left: 0 !important;
  display: grid;
  grid-template-columns: 150px auto auto 1fr 20px 20px;
}

.xr-section-item {
  display: contents;
}

.xr-section-item input {
  display: none;
}

.xr-section-item input + label {
  color: var(--xr-disabled-color);
}

.xr-section-item input:enabled + label {
  cursor: pointer;
  color: var(--xr-font-color2);
}

.xr-section-item input:enabled + label:hover {
  color: var(--xr-font-color0);
}

.xr-section-summary {
  grid-column: 1;
  color: var(--xr-font-color2);
  font-weight: 500;
}

.xr-section-summary > span {
  display: inline-block;
  padding-left: 0.5em;
}

.xr-section-summary-in:disabled + label {
  color: var(--xr-font-color2);
}

.xr-section-summary-in + label:before {
  display: inline-block;
  content: '►';
  font-size: 11px;
  width: 15px;
  text-align: center;
}

.xr-section-summary-in:disabled + label:before {
  color: var(--xr-disabled-color);
}

.xr-section-summary-in:checked + label:before {
  content: '▼';
}

.xr-section-summary-in:checked + label > span {
  display: none;
}

.xr-section-summary,
.xr-section-inline-details {
  padding-top: 4px;
  padding-bottom: 4px;
}

.xr-section-inline-details {
  grid-column: 2 / -1;
}

.xr-section-details {
  display: none;
  grid-column: 1 / -1;
  margin-bottom: 5px;
}

.xr-section-summary-in:checked ~ .xr-section-details {
  display: contents;
}

.xr-array-wrap {
  grid-column: 1 / -1;
  display: grid;
  grid-template-columns: 20px auto;
}

.xr-array-wrap > label {
  grid-column: 1;
  vertical-align: top;
}

.xr-preview {
  color: var(--xr-font-color3);
}

.xr-array-preview,
.xr-array-data {
  padding: 0 5px !important;
  grid-column: 2;
}

.xr-array-data,
.xr-array-in:checked ~ .xr-array-preview {
  display: none;
}

.xr-array-in:checked ~ .xr-array-data,
.xr-array-preview {
  display: inline-block;
}

.xr-dim-list {
  display: inline-block !important;
  list-style: none;
  padding: 0 !important;
  margin: 0;
}

.xr-dim-list li {
  display: inline-block;
  padding: 0;
  margin: 0;
}

.xr-dim-list:before {
  content: '(';
}

.xr-dim-list:after {
  content: ')';
}

.xr-dim-list li:not(:last-child):after {
  content: ',';
  padding-right: 5px;
}

.xr-has-index {
  font-weight: bold;
}

.xr-var-list,
.xr-var-item {
  display: contents;
}

.xr-var-item > div,
.xr-var-item label,
.xr-var-item > .xr-var-name span {
  background-color: var(--xr-background-color-row-even);
  margin-bottom: 0;
}

.xr-var-item > .xr-var-name:hover span {
  padding-right: 5px;
}

.xr-var-list > li:nth-child(odd) > div,
.xr-var-list > li:nth-child(odd) > label,
.xr-var-list > li:nth-child(odd) > .xr-var-name span {
  background-color: var(--xr-background-color-row-odd);
}

.xr-var-name {
  grid-column: 1;
}

.xr-var-dims {
  grid-column: 2;
}

.xr-var-dtype {
  grid-column: 3;
  text-align: right;
  color: var(--xr-font-color2);
}

.xr-var-preview {
  grid-column: 4;
}

.xr-var-name,
.xr-var-dims,
.xr-var-dtype,
.xr-preview,
.xr-attrs dt {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  padding-right: 10px;
}

.xr-var-name:hover,
.xr-var-dims:hover,
.xr-var-dtype:hover,
.xr-attrs dt:hover {
  overflow: visible;
  width: auto;
  z-index: 1;
}

.xr-var-attrs,
.xr-var-data {
  display: none;
  background-color: var(--xr-background-color) !important;
  padding-bottom: 5px !important;
}

.xr-var-attrs-in:checked ~ .xr-var-attrs,
.xr-var-data-in:checked ~ .xr-var-data {
  display: block;
}

.xr-var-data > table {
  float: right;
}

.xr-var-name span,
.xr-var-data,
.xr-attrs {
  padding-left: 25px !important;
}

.xr-attrs,
.xr-var-attrs,
.xr-var-data {
  grid-column: 1 / -1;
}

dl.xr-attrs {
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: 125px auto;
}

.xr-attrs dt,
.xr-attrs dd {
  padding: 0;
  margin: 0;
  float: left;
  padding-right: 10px;
  width: auto;
}

.xr-attrs dt {
  font-weight: normal;
  grid-column: 1;
}

.xr-attrs dt:hover span {
  display: inline-block;
  background: var(--xr-background-color);
  padding-right: 10px;
}

.xr-attrs dd {
  grid-column: 2;
  white-space: pre-wrap;
  word-break: break-all;
}

.xr-icon-database,
.xr-icon-file-text2 {
  display: inline-block;
  vertical-align: middle;
  width: 1em;
  height: 1.5em !important;
  stroke-width: 0;
  stroke: currentColor;
  fill: currentColor;
}
</style><pre class='xr-text-repr-fallback'>&lt;xarray.DataArray &#x27;eqVonMises&#x27; (time: 11, y: 108, x: 108)&gt;
array([[[0.00664305, 0.00458987, 0.00041708, ..., 0.00129103,
         0.00174628, 0.00092676],
        [0.00307579, 0.00123463, 0.00153782, ..., 0.00153045,
         0.00137174, 0.00158594],
        [0.00239769, 0.00238624, 0.00386586, ..., 0.0024106 ,
         0.00083552, 0.00159646],
        ...,
        [0.01420932, 0.01073608, 0.00990502, ..., 0.00602953,
         0.00365314, 0.00194513],
        [0.02188799, 0.01488689, 0.01270582, ..., 0.00209061,
         0.00473817, 0.00219811],
        [0.        , 0.0174847 , 0.01994319, ..., 0.00228945,
         0.00439212, 0.00630271]],

       [[0.00804353, 0.00849724, 0.00740109, ..., 0.00136193,
         0.00209083, 0.00335859],
        [0.00600652, 0.00610367, 0.00436017, ..., 0.00272155,
         0.00250041, 0.00169492],
        [0.00604149, 0.00676466, 0.00466716, ..., 0.00255971,
         0.00097829, 0.00526355],
...
        [0.02095929, 0.03673353, 0.04022176, ..., 0.01034013,
         0.00568373, 0.00398989],
        [0.03709792, 0.05301696, 0.05738432, ..., 0.01031634,
         0.00224696, 0.00155169],
        [0.05021062, 0.05265029, 0.0657613 , ..., 0.00883416,
         0.00358037, 0.00336707]],

       [[0.00830681, 0.00724994, 0.0075008 , ..., 0.00254831,
         0.0104371 , 0.01869162],
        [0.00619591, 0.00424121, 0.00425377, ..., 0.00736972,
         0.01389624, 0.01794475],
        [0.00397934, 0.00181282, 0.00087594, ..., 0.00586268,
         0.0116237 , 0.01862643],
        ...,
        [0.0189354 , 0.0380885 , 0.05805568, ..., 0.00598112,
         0.00812369, 0.00802149],
        [0.        , 0.05434984, 0.05305789, ..., 0.00144259,
         0.00183439, 0.00115434],
        [0.        , 0.06586584, 0.05602699, ..., 0.00059413,
         0.0008373 , 0.00292037]]])
Coordinates:
  * time     (time) float64 0.005 0.01 0.015 0.02 ... 0.04 0.045 0.05 0.055
  * x        (x) float64 0.0 0.4 0.8 1.2 1.6 2.0 ... 41.2 41.6 42.0 42.4 42.8
  * y        (y) float64 0.0 0.4 0.8 1.2 1.6 2.0 ... 41.2 41.6 42.0 42.4 42.8</pre><div class='xr-wrap' hidden><div class='xr-header'><div class='xr-obj-type'>xarray.DataArray</div><div class='xr-array-name'>'eqVonMises'</div><ul class='xr-dim-list'><li><span class='xr-has-index'>time</span>: 11</li><li><span class='xr-has-index'>y</span>: 108</li><li><span class='xr-has-index'>x</span>: 108</li></ul></div><ul class='xr-sections'><li class='xr-section-item'><div class='xr-array-wrap'><input id='section-7885363f-ef8b-45cd-825e-faa4378dd794' class='xr-array-in' type='checkbox' checked><label for='section-7885363f-ef8b-45cd-825e-faa4378dd794' title='Show/hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-array-preview xr-preview'><span>0.006643 0.00459 0.0004171 0.003291 ... 0.0005941 0.0008373 0.00292</span></div><div class='xr-array-data'><pre>array([[[0.00664305, 0.00458987, 0.00041708, ..., 0.00129103,
         0.00174628, 0.00092676],
        [0.00307579, 0.00123463, 0.00153782, ..., 0.00153045,
         0.00137174, 0.00158594],
        [0.00239769, 0.00238624, 0.00386586, ..., 0.0024106 ,
         0.00083552, 0.00159646],
        ...,
        [0.01420932, 0.01073608, 0.00990502, ..., 0.00602953,
         0.00365314, 0.00194513],
        [0.02188799, 0.01488689, 0.01270582, ..., 0.00209061,
         0.00473817, 0.00219811],
        [0.        , 0.0174847 , 0.01994319, ..., 0.00228945,
         0.00439212, 0.00630271]],

       [[0.00804353, 0.00849724, 0.00740109, ..., 0.00136193,
         0.00209083, 0.00335859],
        [0.00600652, 0.00610367, 0.00436017, ..., 0.00272155,
         0.00250041, 0.00169492],
        [0.00604149, 0.00676466, 0.00466716, ..., 0.00255971,
         0.00097829, 0.00526355],
...
        [0.02095929, 0.03673353, 0.04022176, ..., 0.01034013,
         0.00568373, 0.00398989],
        [0.03709792, 0.05301696, 0.05738432, ..., 0.01031634,
         0.00224696, 0.00155169],
        [0.05021062, 0.05265029, 0.0657613 , ..., 0.00883416,
         0.00358037, 0.00336707]],

       [[0.00830681, 0.00724994, 0.0075008 , ..., 0.00254831,
         0.0104371 , 0.01869162],
        [0.00619591, 0.00424121, 0.00425377, ..., 0.00736972,
         0.01389624, 0.01794475],
        [0.00397934, 0.00181282, 0.00087594, ..., 0.00586268,
         0.0116237 , 0.01862643],
        ...,
        [0.0189354 , 0.0380885 , 0.05805568, ..., 0.00598112,
         0.00812369, 0.00802149],
        [0.        , 0.05434984, 0.05305789, ..., 0.00144259,
         0.00183439, 0.00115434],
        [0.        , 0.06586584, 0.05602699, ..., 0.00059413,
         0.0008373 , 0.00292037]]])</pre></div></div></li><li class='xr-section-item'><input id='section-f4e5c6eb-b78e-4690-b61c-fb1ae2a8e4b1' class='xr-section-summary-in' type='checkbox'  checked><label for='section-f4e5c6eb-b78e-4690-b61c-fb1ae2a8e4b1' class='xr-section-summary' >Coordinates: <span>(3)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><ul class='xr-var-list'><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>time</span></div><div class='xr-var-dims'>(time)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>0.005 0.01 0.015 ... 0.05 0.055</div><input id='attrs-f9d6904d-5929-4443-af7c-697c08cee6a0' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-f9d6904d-5929-4443-af7c-697c08cee6a0' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-2f74825d-a405-417a-ada1-b2d6075f3fc1' class='xr-var-data-in' type='checkbox'><label for='data-2f74825d-a405-417a-ada1-b2d6075f3fc1' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([0.005, 0.01 , 0.015, 0.02 , 0.025, 0.03 , 0.035, 0.04 , 0.045, 0.05 ,
       0.055])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>x</span></div><div class='xr-var-dims'>(x)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>0.0 0.4 0.8 1.2 ... 42.0 42.4 42.8</div><input id='attrs-f464e988-b065-4e6c-a090-8e48e34ec6b6' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-f464e988-b065-4e6c-a090-8e48e34ec6b6' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-a53dac6b-c1c7-4a37-b105-4f5c11d323fe' class='xr-var-data-in' type='checkbox'><label for='data-a53dac6b-c1c7-4a37-b105-4f5c11d323fe' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([ 0. ,  0.4,  0.8,  1.2,  1.6,  2. ,  2.4,  2.8,  3.2,  3.6,  4. ,  4.4,
        4.8,  5.2,  5.6,  6. ,  6.4,  6.8,  7.2,  7.6,  8. ,  8.4,  8.8,  9.2,
        9.6, 10. , 10.4, 10.8, 11.2, 11.6, 12. , 12.4, 12.8, 13.2, 13.6, 14. ,
       14.4, 14.8, 15.2, 15.6, 16. , 16.4, 16.8, 17.2, 17.6, 18. , 18.4, 18.8,
       19.2, 19.6, 20. , 20.4, 20.8, 21.2, 21.6, 22. , 22.4, 22.8, 23.2, 23.6,
       24. , 24.4, 24.8, 25.2, 25.6, 26. , 26.4, 26.8, 27.2, 27.6, 28. , 28.4,
       28.8, 29.2, 29.6, 30. , 30.4, 30.8, 31.2, 31.6, 32. , 32.4, 32.8, 33.2,
       33.6, 34. , 34.4, 34.8, 35.2, 35.6, 36. , 36.4, 36.8, 37.2, 37.6, 38. ,
       38.4, 38.8, 39.2, 39.6, 40. , 40.4, 40.8, 41.2, 41.6, 42. , 42.4, 42.8])</pre></div></li><li class='xr-var-item'><div class='xr-var-name'><span class='xr-has-index'>y</span></div><div class='xr-var-dims'>(y)</div><div class='xr-var-dtype'>float64</div><div class='xr-var-preview xr-preview'>0.0 0.4 0.8 1.2 ... 42.0 42.4 42.8</div><input id='attrs-8c708547-6963-485d-be67-a4ccd0bc7d35' class='xr-var-attrs-in' type='checkbox' disabled><label for='attrs-8c708547-6963-485d-be67-a4ccd0bc7d35' title='Show/Hide attributes'><svg class='icon xr-icon-file-text2'><use xlink:href='#icon-file-text2'></use></svg></label><input id='data-5ba875bf-9907-4196-850e-7e30367edc52' class='xr-var-data-in' type='checkbox'><label for='data-5ba875bf-9907-4196-850e-7e30367edc52' title='Show/Hide data repr'><svg class='icon xr-icon-database'><use xlink:href='#icon-database'></use></svg></label><div class='xr-var-attrs'><dl class='xr-attrs'></dl></div><div class='xr-var-data'><pre>array([ 0. ,  0.4,  0.8,  1.2,  1.6,  2. ,  2.4,  2.8,  3.2,  3.6,  4. ,  4.4,
        4.8,  5.2,  5.6,  6. ,  6.4,  6.8,  7.2,  7.6,  8. ,  8.4,  8.8,  9.2,
        9.6, 10. , 10.4, 10.8, 11.2, 11.6, 12. , 12.4, 12.8, 13.2, 13.6, 14. ,
       14.4, 14.8, 15.2, 15.6, 16. , 16.4, 16.8, 17.2, 17.6, 18. , 18.4, 18.8,
       19.2, 19.6, 20. , 20.4, 20.8, 21.2, 21.6, 22. , 22.4, 22.8, 23.2, 23.6,
       24. , 24.4, 24.8, 25.2, 25.6, 26. , 26.4, 26.8, 27.2, 27.6, 28. , 28.4,
       28.8, 29.2, 29.6, 30. , 30.4, 30.8, 31.2, 31.6, 32. , 32.4, 32.8, 33.2,
       33.6, 34. , 34.4, 34.8, 35.2, 35.6, 36. , 36.4, 36.8, 37.2, 37.6, 38. ,
       38.4, 38.8, 39.2, 39.6, 40. , 40.4, 40.8, 41.2, 41.6, 42. , 42.4, 42.8])</pre></div></li></ul></div></li><li class='xr-section-item'><input id='section-93ee1803-8b40-4346-9a8f-1238f0d01330' class='xr-section-summary-in' type='checkbox' disabled ><label for='section-93ee1803-8b40-4346-9a8f-1238f0d01330' class='xr-section-summary'  title='Expand/collapse section'>Attributes: <span>(0)</span></label><div class='xr-section-inline-details'></div><div class='xr-section-details'><dl class='xr-attrs'></dl></div></li></ul></div></div></div></div>
</div>
<p>This <code class="docutils literal notranslate"><span class="pre">xarray.DataArray</span></code> contain 11 images for 11 times step. The dimension of the image is <span class="math notranslate nohighlight">\(x=108\)</span> and <span class="math notranslate nohighlight">\(y=108\)</span></p>
<p>We can plot the image for the time <span class="math notranslate nohighlight">\(i\)</span> using :</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">i</span><span class="o">=</span><span class="mi">5</span>
<span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">8</span><span class="p">))</span>
<span class="n">data</span><span class="p">[</span><span class="n">i</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">.</span><span class="n">plot</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(-0.2, 43.0, -0.2, 43.0)
</pre></div>
</div>
<img alt="../_images/Quick_start_6_1.png" src="../_images/Quick_start_6_1.png" />
</div>
</div>
</div>
<div class="section" id="autocorrelation-analysis">
<h2>Autocorrelation analysis<a class="headerlink" href="#autocorrelation-analysis" title="Permalink to this headline">¶</a></h2>
<p>The autocorrelation analysis is based on the paper for <a class="reference external" href="https://doi.org/10.1016/j.mecind.2003.09.002">Doumanlin et al. 2003</a></p>
<div class="section" id="performed-the-autocorrelation-function">
<h3>Performed the autocorrelation function<a class="headerlink" href="#performed-the-autocorrelation-function" title="Permalink to this headline">¶</a></h3>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">ds_auto</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="n">i</span><span class="p">,:,:]</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">auto_correlation</span><span class="p">(</span><span class="n">pad</span><span class="o">=</span><span class="mi">1</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
</div>
<div class="section" id="plot-the-autocorrelation-function">
<h3>Plot the autocorrelation function<a class="headerlink" href="#plot-the-autocorrelation-function" title="Permalink to this headline">¶</a></h3>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">8</span><span class="p">))</span>
<span class="n">ds_auto</span><span class="o">.</span><span class="n">AutoCorrelation</span><span class="o">.</span><span class="n">plot</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(-0.2, 43.0, -0.2, 43.0)
</pre></div>
</div>
<img alt="../_images/Quick_start_11_1.png" src="../_images/Quick_start_11_1.png" />
</div>
</div>
</div>
<div class="section" id="plot-autocorrelation-profil">
<h3>Plot autocorrelation profil<a class="headerlink" href="#plot-autocorrelation-profil" title="Permalink to this headline">¶</a></h3>
<p>Autocorrelation profil are exported for every degree between 0 and 179 and can be plot as follow with <span class="math notranslate nohighlight">\(C_{inf}\)</span></p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<ul class="simple">
<li><p>P0 is for <span class="math notranslate nohighlight">\(\theta=0°\)</span> that mean aligne with <span class="math notranslate nohighlight">\(+x\)</span></p></li>
<li><p>P90 is for <span class="math notranslate nohighlight">\(\theta=90°\)</span> that mean aligne with <span class="math notranslate nohighlight">\(+y\)</span></p></li>
</ul>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">5</span><span class="p">))</span>
<span class="n">ds_auto</span><span class="o">.</span><span class="n">P0</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;P0&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">([</span><span class="n">ds_auto</span><span class="o">.</span><span class="n">d0</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span><span class="n">ds_auto</span><span class="o">.</span><span class="n">d0</span><span class="p">[</span><span class="o">-</span><span class="mi">1</span><span class="p">]],[</span><span class="n">ds_auto</span><span class="o">.</span><span class="n">Cinf</span><span class="p">,</span><span class="n">ds_auto</span><span class="o">.</span><span class="n">Cinf</span><span class="p">],</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;$C_</span><span class="si">{inf}</span><span class="s1">$&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">grid</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_13_0.png" src="../_images/Quick_start_13_0.png" />
</div>
</div>
</div>
<div class="section" id="auto-corelation-length">
<h3>Auto corelation length<a class="headerlink" href="#auto-corelation-length" title="Permalink to this headline">¶</a></h3>
<p>There is two definition of the autocorrelation length :</p>
<ol class="simple">
<li><p>The first intersection between the profil <span class="math notranslate nohighlight">\(Pi\)</span> and <span class="math notranslate nohighlight">\(C_{inf}\)</span></p></li>
<li><p>The second is based on the integral of <span class="math notranslate nohighlight">\(Pi-C_{inf}\)</span></p></li>
</ol>
<p>We can plot the correlation length as a function of the angle to extract the main direction of correlation.</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>With the intersection formulation it is possible that the correlation length is larger than the size of the image. Therefore no data are plotted.</p>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">5</span><span class="p">))</span>
<span class="n">ds_auto</span><span class="o">.</span><span class="n">lmax</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;intersection formulation&#39;</span><span class="p">)</span>
<span class="n">ds_auto</span><span class="o">.</span><span class="n">lmax_int</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">label</span><span class="o">=</span><span class="s1">&#39;integral formulation&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">legend</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">grid</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_15_0.png" src="../_images/Quick_start_15_0.png" />
</div>
</div>
<div class="section" id="time-serie-evolution">
<h4>Time serie evolution<a class="headerlink" href="#time-serie-evolution" title="Permalink to this headline">¶</a></h4>
<p>It can be interresting to plot time serie evolution of the correlation length. This can be done by adapting this script :</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">time_lmax</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">([</span><span class="nb">len</span><span class="p">(</span><span class="n">data</span><span class="o">.</span><span class="n">time</span><span class="p">),</span><span class="mi">180</span><span class="p">])</span>
<span class="n">time_lmax_int</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">([</span><span class="nb">len</span><span class="p">(</span><span class="n">data</span><span class="o">.</span><span class="n">time</span><span class="p">),</span><span class="mi">180</span><span class="p">])</span>

<span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="nb">len</span><span class="p">(</span><span class="n">data</span><span class="o">.</span><span class="n">time</span><span class="p">)):</span>
    <span class="n">ds_auto_tmp</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="n">i</span><span class="p">,:,:]</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">auto_correlation</span><span class="p">(</span><span class="n">pad</span><span class="o">=</span><span class="mi">1</span><span class="p">)</span>
    <span class="n">time_lmax</span><span class="p">[</span><span class="n">i</span><span class="p">,:]</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">(</span><span class="n">ds_auto_tmp</span><span class="o">.</span><span class="n">lmax</span><span class="p">)</span>
    <span class="n">time_lmax_int</span><span class="p">[</span><span class="n">i</span><span class="p">,:]</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">(</span><span class="n">ds_auto_tmp</span><span class="o">.</span><span class="n">lmax_int</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<p>lmax : intersection formulation</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">25</span><span class="p">,</span><span class="mi">2</span><span class="p">))</span>
<span class="n">plt</span><span class="o">.</span><span class="n">imshow</span><span class="p">(</span><span class="n">time_lmax</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s1">&#39;angle&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s1">&#39;time&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">colorbar</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>&lt;matplotlib.colorbar.Colorbar at 0x7f80bc1405b0&gt;
</pre></div>
</div>
<img alt="../_images/Quick_start_19_1.png" src="../_images/Quick_start_19_1.png" />
</div>
</div>
<p>lmax : integrale formulation</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">25</span><span class="p">,</span><span class="mi">2</span><span class="p">))</span>
<span class="n">plt</span><span class="o">.</span><span class="n">imshow</span><span class="p">(</span><span class="n">time_lmax_int</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s1">&#39;angle&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s1">&#39;time&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">colorbar</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>&lt;matplotlib.colorbar.Colorbar at 0x7f80bc14b910&gt;
</pre></div>
</div>
<img alt="../_images/Quick_start_21_1.png" src="../_images/Quick_start_21_1.png" />
</div>
</div>
</div>
</div>
</div>
<div class="section" id="band-detection-hough-transform">
<h2>Band detection : Hough transform<a class="headerlink" href="#band-detection-hough-transform" title="Permalink to this headline">¶</a></h2>
<p>The function <code class="docutils literal notranslate"><span class="pre">imP.hough_transform</span></code> is base on scikit librairy. Therefore for the line detection it take the same argument then <a class="reference external" href="https://scikit-image.org/docs/dev/api/skimage.transform.html?highlight=hough#skimage.transform.hough_line_peaks">skimage.transform.hough_line_peaks</a></p>
<div class="section" id="on-autocorrelation-function">
<h3>On autocorrelation function<a class="headerlink" href="#on-autocorrelation-function" title="Permalink to this headline">¶</a></h3>
<div class="section" id="on-raw-image">
<h4>On raw image<a class="headerlink" href="#on-raw-image" title="Permalink to this headline">¶</a></h4>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">ds_auto</span><span class="o">.</span><span class="n">AutoCorrelation</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_24_0.png" src="../_images/Quick_start_24_0.png" />
</div>
</div>
<p>The <code class="docutils literal notranslate"><span class="pre">peaks</span></code> variable contains 3 <code class="docutils literal notranslate"><span class="pre">array</span></code> :</p>
<ol class="simple">
<li><p><code class="docutils literal notranslate"><span class="pre">peaks[0]</span></code> contains the intensity of the peaks in the Hough transformation sorted from higher to lower</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">peaks[1]</span></code> contains the angle <span class="math notranslate nohighlight">\(\theta\)</span> of the line in radian</p></li>
<li><p><code class="docutils literal notranslate"><span class="pre">peaks[2]</span></code> contains the distance <span class="math notranslate nohighlight">\(\rho\)</span> of the line in pixel</p></li>
</ol>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(array([215, 213, 150, 150, 150, 150, 150, 150, 149, 149, 149, 149, 149,
        149, 136, 136, 123, 123, 123, 123, 123, 123, 123, 123, 123, 123,
        123, 123, 123, 123, 123, 123, 123, 123, 122, 122, 122, 122, 120,
        120], dtype=uint64),
 array([ 0.78539816, -0.78539816,  1.10828408,  0.46251225,  1.10828408,
         0.46251225, -0.46251225, -1.10828408,  1.10828408,  0.46251225,
        -0.46251225, -0.46251225, -1.10828408, -1.10828408, -0.55850536,
        -1.01229097,  1.24791042,  0.32288591,  1.24791042,  0.32288591,
         1.24791042,  0.32288591, -0.32288591,  1.24791042,  0.32288591,
        -0.32288591, -0.32288591, -0.32288591, -0.32288591, -1.24791042,
        -1.24791042, -1.24791042, -1.24791042, -1.24791042,  1.24791042,
         0.32288591, -0.32288591, -1.24791042, -0.2443461 , -1.32645023]),
 array([ 76.75081967,   1.50491803,  93.80655738,  93.80655738,
         59.69508197,  59.69508197,   5.51803279,  -4.5147541 ,
         76.75081967,  76.75081967,  39.6295082 ,  22.57377049,
        -21.5704918 , -38.62622951,  31.60327869, -30.6       ,
         77.75409836,  77.75409836,  65.7147541 ,  65.7147541 ,
         53.67540984,  53.67540984,  50.66557377,  41.63606557,
         41.63606557,  38.62622951,  26.58688525,  14.54754098,
          2.50819672,  -1.50491803, -13.5442623 , -25.58360656,
        -37.62295082, -49.66229508,  96.81639344,  96.81639344,
         63.70819672, -62.70491803,  74.7442623 , -73.74098361]))
</pre></div>
</div>
</div>
</div>
<p>If you want to plot only the 2 main band you can use argument of the <a class="reference external" href="https://scikit-image.org/docs/dev/api/skimage.transform.html?highlight=hough#skimage.transform.hough_line_peaks">skimage.transform.hough_line_peaks</a> function.</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">ds_auto</span><span class="o">.</span><span class="n">AutoCorrelation</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">(</span><span class="n">num_peaks</span><span class="o">=</span><span class="mi">2</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_28_0.png" src="../_images/Quick_start_28_0.png" />
</div>
</div>
</div>
<div class="section" id="on-binary-image">
<h4>On binary image<a class="headerlink" href="#on-binary-image" title="Permalink to this headline">¶</a></h4>
<p>It is sometimes easier to used binarry image with threshold.</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">bi_Autocor</span><span class="o">=</span><span class="n">ds_auto</span><span class="o">.</span><span class="n">AutoCorrelation</span><span class="o">&gt;</span><span class="mf">0.56</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">bi_Autocor</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_31_0.png" src="../_images/Quick_start_31_0.png" />
</div>
</div>
</div>
<div class="section" id="skeletonized-binary-image">
<h4>Skeletonized binary image<a class="headerlink" href="#skeletonized-binary-image" title="Permalink to this headline">¶</a></h4>
<p>With binary image only the two main band are detected. We can skeletonized this binary image to sharpen the information</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">bi_Autocor_sk</span><span class="o">=</span><span class="n">xr</span><span class="o">.</span><span class="n">DataArray</span><span class="p">(</span><span class="n">skimage</span><span class="o">.</span><span class="n">morphology</span><span class="o">.</span><span class="n">skeletonize</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">(</span><span class="n">bi_Autocor</span><span class="p">)))</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">bi_Autocor_sk</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_34_0.png" src="../_images/Quick_start_34_0.png" />
</div>
</div>
<p>The band detection can be adjusted to remove the two “close” band find in the top right part by using the minimum angle and distance between two band in the Hough space.</p>
<div class="admonition warning">
<p class="admonition-title">Warning</p>
<p>Even the skeleton image for the autocorrelation sould be <span class="math notranslate nohighlight">\(\pi\)</span> periodic (and look like it). The band detection is not.</p>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">bi_Autocor_sk</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">(</span><span class="n">min_angle</span><span class="o">=</span><span class="mi">25</span><span class="p">,</span><span class="n">min_distance</span><span class="o">=</span><span class="mi">24</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_36_0.png" src="../_images/Quick_start_36_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(array([47, 44, 31, 30], dtype=uint64),
 array([ 0.78539816, -0.70685835, -0.68940505, -0.68067841]),
 array([ 76.75081967,   6.52131148, -25.58360656,  41.63606557]))
</pre></div>
</div>
</div>
</div>
<p>Here as 3 bands are almost parallel we can easyly look at the space between those band :</p>
<ol class="simple">
<li><p>Bottom and central band :</p></li>
</ol>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="p">[</span><span class="mi">2</span><span class="p">][</span><span class="mi">1</span><span class="p">]</span><span class="o">-</span><span class="n">peaks</span><span class="p">[</span><span class="mi">2</span><span class="p">][</span><span class="mi">2</span><span class="p">]</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>32.10491803278687
</pre></div>
</div>
</div>
</div>
<ol class="simple">
<li><p>Top and central band :</p></li>
</ol>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="p">[</span><span class="mi">2</span><span class="p">][</span><span class="mi">3</span><span class="p">]</span><span class="o">-</span><span class="n">peaks</span><span class="p">[</span><span class="mi">2</span><span class="p">][</span><span class="mi">1</span><span class="p">]</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>35.11475409836066
</pre></div>
</div>
</div>
</div>
<p>This result shows a periodicity in the x+y direction of around 35 pixel in the autocorelation function that transpose in the initial image.</p>
</div>
</div>
<div class="section" id="on-equivalent-strain-field-image">
<h3>On equivalent strain field image<a class="headerlink" href="#on-equivalent-strain-field-image" title="Permalink to this headline">¶</a></h3>
<div class="section" id="id1">
<h4>On raw image<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h4>
<p>The results are not very nice in this case.</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">()</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_44_0.png" src="../_images/Quick_start_44_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">(</span><span class="n">num_peaks</span><span class="o">=</span><span class="mi">2</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_45_0.png" src="../_images/Quick_start_45_0.png" />
</div>
</div>
</div>
<div class="section" id="on-binairy-image">
<h4>On binairy image<a class="headerlink" href="#on-binairy-image" title="Permalink to this headline">¶</a></h4>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">binairy_image</span><span class="o">=</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">log</span><span class="p">(</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">/</span><span class="n">np</span><span class="o">.</span><span class="n">mean</span><span class="p">(</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">]))</span><span class="o">&gt;</span><span class="mf">0.6</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output stderr highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>/home/chauvet/miniconda3/envs/basepy39/lib/python3.9/site-packages/xarray/core/computation.py:739: RuntimeWarning: divide by zero encountered in log
  result_data = func(*input_data)
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">binairy_image</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">(</span><span class="n">min_distance</span><span class="o">=</span><span class="mi">25</span><span class="p">,</span><span class="n">min_angle</span><span class="o">=</span><span class="mi">35</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_48_0.png" src="../_images/Quick_start_48_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">binairy_img_sk</span><span class="o">=</span><span class="n">xr</span><span class="o">.</span><span class="n">DataArray</span><span class="p">(</span><span class="n">skimage</span><span class="o">.</span><span class="n">morphology</span><span class="o">.</span><span class="n">skeletonize</span><span class="p">(</span><span class="n">np</span><span class="o">.</span><span class="n">array</span><span class="p">(</span><span class="n">binairy_image</span><span class="p">)))</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">binairy_img_sk</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">(</span><span class="n">num_peaks</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">inf</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_50_0.png" src="../_images/Quick_start_50_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="o">=</span><span class="n">binairy_img_sk</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">hough_transform</span><span class="p">(</span><span class="n">min_distance</span><span class="o">=</span><span class="mi">25</span><span class="p">,</span><span class="n">min_angle</span><span class="o">=</span><span class="mi">35</span><span class="p">,</span><span class="n">num_peaks</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">inf</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_51_0.png" src="../_images/Quick_start_51_0.png" />
</div>
</div>
<p>The result look much better on binairy image in this case.</p>
<div class="admonition note">
<p class="admonition-title">Note</p>
<p><code class="docutils literal notranslate"><span class="pre">peaks[0]</span></code> give the intensity of the band. This measure can be interpreted like how dense is the band. Those informations can be used for interpretation.</p>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">peaks</span><span class="p">[</span><span class="mi">0</span><span class="p">]</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>array([31, 30, 30, 28, 27, 25, 24, 24, 23, 22], dtype=uint64)
</pre></div>
</div>
</div>
</div>
</div>
</div>
</div>
<div class="section" id="texture-anisotropy-from-lehoucq-et-al-2015">
<h2>Texture anisotropy from <a class="reference external" href="https://doi.org/10.3389/fphy.2014.00084">Lehoucq et al. 2015</a><a class="headerlink" href="#texture-anisotropy-from-lehoucq-et-al-2015" title="Permalink to this headline">¶</a></h2>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">8</span><span class="p">))</span>
<span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">.</span><span class="n">plot</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(-0.2, 43.0, -0.2, 43.0)
</pre></div>
</div>
<img alt="../_images/Quick_start_55_1.png" src="../_images/Quick_start_55_1.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">res</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">texture_anisotropy_2</span><span class="p">([</span><span class="mi">6</span><span class="p">,</span><span class="mi">13</span><span class="p">,</span><span class="mi">26</span><span class="p">,</span><span class="mi">53</span><span class="p">,</span><span class="mi">107</span><span class="p">],</span><span class="n">pix_shift</span><span class="o">=</span><span class="mi">0</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output stream highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Box_size : 6
</pre></div>
</div>
<script type="application/vnd.jupyter.widget-view+json">
{"version_major": 2, "version_minor": 0, "model_id": "528ca5cb267c46de811e725fedeaef2b"}
</script><div class="output stream highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Box_size : 13
</pre></div>
</div>
<script type="application/vnd.jupyter.widget-view+json">
{"version_major": 2, "version_minor": 0, "model_id": "5acb327f02784cd3aa568eb07daaa67f"}
</script><div class="output stream highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Box_size : 26
</pre></div>
</div>
<script type="application/vnd.jupyter.widget-view+json">
{"version_major": 2, "version_minor": 0, "model_id": "3db7fcb0299b4ce3ab851de3173ce558"}
</script><div class="output stream highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Box_size : 53
</pre></div>
</div>
<script type="application/vnd.jupyter.widget-view+json">
{"version_major": 2, "version_minor": 0, "model_id": "0ddf0aa0673f4b699c63e180ea012e17"}
</script><div class="output stream highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Box_size : 107
</pre></div>
</div>
<script type="application/vnd.jupyter.widget-view+json">
{"version_major": 2, "version_minor": 0, "model_id": "5106d51cbaa0468e8acc811587c33740"}
</script></div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">box_size</span><span class="p">,</span><span class="n">mean_ani</span><span class="p">,</span><span class="n">all_analysis</span><span class="o">=</span><span class="n">im</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">texture_anisotropy</span><span class="p">([</span><span class="mi">6</span><span class="p">,</span><span class="mi">13</span><span class="p">,</span><span class="mi">26</span><span class="p">,</span><span class="mi">53</span><span class="p">,</span><span class="mi">107</span><span class="p">],</span><span class="n">pix_shift</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span><span class="n">store_sub_im</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output traceback highlight-ipythontb notranslate"><div class="highlight"><pre><span></span><span class="gt">---------------------------------------------------------------------------</span>
<span class="ne">NameError</span><span class="g g-Whitespace">                                 </span>Traceback (most recent call last)
<span class="nn">Input In [33],</span> in <span class="ni">&lt;cell line: 1&gt;</span><span class="nt">()</span>
<span class="ne">----&gt; </span><span class="mi">1</span> <span class="n">box_size</span><span class="p">,</span><span class="n">mean_ani</span><span class="p">,</span><span class="n">all_analysis</span><span class="o">=</span><span class="n">im</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">texture_anisotropy</span><span class="p">([</span><span class="mi">6</span><span class="p">,</span><span class="mi">13</span><span class="p">,</span><span class="mi">26</span><span class="p">,</span><span class="mi">53</span><span class="p">,</span><span class="mi">107</span><span class="p">],</span><span class="n">pix_shift</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span><span class="n">store_sub_im</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>

<span class="ne">NameError</span>: name &#39;im&#39; is not defined
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">5</span><span class="p">))</span>
<span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">box_size</span><span class="p">,</span><span class="n">mean_ani</span><span class="p">,</span><span class="s1">&#39;o-&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">grid</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s2">&quot;box_size&quot;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s1">&#39;Anisotropy : $1- </span><span class="se">\\</span><span class="s1">frac{\lambda_1}{\lambda_2}$&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output traceback highlight-ipythontb notranslate"><div class="highlight"><pre><span></span><span class="gt">---------------------------------------------------------------------------</span>
<span class="ne">NameError</span><span class="g g-Whitespace">                                 </span>Traceback (most recent call last)
<span class="o">/</span><span class="n">tmp</span><span class="o">/</span><span class="n">ipykernel_748632</span><span class="o">/</span><span class="mf">1616860254.</span><span class="n">py</span> <span class="ow">in</span> <span class="o">&lt;</span><span class="n">module</span><span class="o">&gt;</span>
<span class="g g-Whitespace">      </span><span class="mi">1</span> <span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">5</span><span class="p">))</span>
<span class="ne">----&gt; </span><span class="mi">2</span> <span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">box_size</span><span class="p">,</span><span class="n">mean_ani</span><span class="p">,</span><span class="s1">&#39;o-&#39;</span><span class="p">)</span>
<span class="g g-Whitespace">      </span><span class="mi">3</span> <span class="n">plt</span><span class="o">.</span><span class="n">grid</span><span class="p">()</span>
<span class="g g-Whitespace">      </span><span class="mi">4</span> <span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s2">&quot;box_size&quot;</span><span class="p">)</span>
<span class="g g-Whitespace">      </span><span class="mi">5</span> <span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s1">&#39;Anisotropy : $1- </span><span class="se">\\</span><span class="s1">frac{\lambda_1}{\lambda_2}$&#39;</span><span class="p">)</span>

<span class="ne">NameError</span>: name &#39;box_size&#39; is not defined
</pre></div>
</div>
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>&lt;Figure size 576x360 with 0 Axes&gt;
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy_2</span><span class="p">(</span><span class="n">res</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_59_0.png" src="../_images/Quick_start_59_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy_2</span><span class="p">(</span><span class="n">res</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span><span class="n">image</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">])</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_60_0.png" src="../_images/Quick_start_60_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy_2</span><span class="p">(</span><span class="n">res</span><span class="p">[</span><span class="mi">1</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">4</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span><span class="n">image</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">])</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_61_0.png" src="../_images/Quick_start_61_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy_2</span><span class="p">(</span><span class="n">res</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">8</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span><span class="n">image</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">])</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_62_0.png" src="../_images/Quick_start_62_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy_2</span><span class="p">(</span><span class="n">res</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">12</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">,</span><span class="n">image</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">])</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_63_0.png" src="../_images/Quick_start_63_0.png" />
</div>
</div>
<div class="section" id="binairy-image">
<h3>Binairy image<a class="headerlink" href="#binairy-image" title="Permalink to this headline">¶</a></h3>
<p>The analysis can be performed on gray scale image but it seem that it works better on binairy image.</p>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">im</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">/</span><span class="n">np</span><span class="o">.</span><span class="n">mean</span><span class="p">(</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">])</span>
<span class="n">im</span><span class="o">=</span><span class="n">im</span><span class="o">&gt;</span><span class="mf">1.5</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">10</span><span class="p">,</span><span class="mi">8</span><span class="p">))</span>
<span class="n">im</span><span class="o">.</span><span class="n">plot</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>(-0.2, 43.0, -0.2, 43.0)
</pre></div>
</div>
<img alt="../_images/Quick_start_66_1.png" src="../_images/Quick_start_66_1.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">box_size</span><span class="p">,</span><span class="n">mean_ani</span><span class="p">,</span><span class="n">all_analysis</span><span class="o">=</span><span class="n">im</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">texture_anisotropy</span><span class="p">([</span><span class="mi">6</span><span class="p">,</span><span class="mi">13</span><span class="p">,</span><span class="mi">26</span><span class="p">,</span><span class="mi">53</span><span class="p">,</span><span class="mi">107</span><span class="p">],</span><span class="n">pix_shift</span><span class="o">=</span><span class="mi">0</span><span class="p">,</span><span class="n">store_sub_im</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">(</span><span class="n">figsize</span><span class="o">=</span><span class="p">(</span><span class="mi">8</span><span class="p">,</span><span class="mi">5</span><span class="p">))</span>
<span class="n">plt</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">box_size</span><span class="p">,</span><span class="n">mean_ani</span><span class="p">,</span><span class="s1">&#39;o-&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">grid</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s2">&quot;box_size&quot;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s1">&#39;Anisotropy : $1- </span><span class="se">\\</span><span class="s1">frac{\lambda_1}{\lambda_2}$&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Text(0, 0.5, &#39;Anisotropy : $1- \\frac{\\lambda_1}{\\lambda_2}$&#39;)
</pre></div>
</div>
<img alt="../_images/Quick_start_68_1.png" src="../_images/Quick_start_68_1.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy</span><span class="p">(</span><span class="n">all_analysis</span><span class="p">[</span><span class="mi">0</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_69_0.png" src="../_images/Quick_start_69_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy</span><span class="p">(</span><span class="n">all_analysis</span><span class="p">[</span><span class="mi">1</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">2</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_70_0.png" src="../_images/Quick_start_70_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy</span><span class="p">(</span><span class="n">all_analysis</span><span class="p">[</span><span class="mi">2</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">6</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_71_0.png" src="../_images/Quick_start_71_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy</span><span class="p">(</span><span class="n">all_analysis</span><span class="p">[</span><span class="mi">3</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">8</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_72_0.png" src="../_images/Quick_start_72_0.png" />
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">pimP</span><span class="o">.</span><span class="n">plot_texture_anisotropy</span><span class="p">(</span><span class="n">all_analysis</span><span class="p">[</span><span class="mi">4</span><span class="p">],</span><span class="n">zoom_f</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span><span class="n">add_box</span><span class="o">=</span><span class="kc">True</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<img alt="../_images/Quick_start_73_0.png" src="../_images/Quick_start_73_0.png" />
</div>
</div>
<div class="section" id="time-series-evolution">
<h4>Time series evolution<a class="headerlink" href="#time-series-evolution" title="Permalink to this headline">¶</a></h4>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">it</span><span class="o">=</span><span class="nb">len</span><span class="p">(</span><span class="n">data</span><span class="o">.</span><span class="n">time</span><span class="p">)</span>

<span class="n">bb</span><span class="o">=</span><span class="p">[</span><span class="mi">6</span><span class="p">,</span><span class="mi">13</span><span class="p">,</span><span class="mi">26</span><span class="p">,</span><span class="mi">53</span><span class="p">,</span><span class="mi">107</span><span class="p">]</span>
<span class="n">tt_ani</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">zeros</span><span class="p">([</span><span class="mi">5</span><span class="p">,</span><span class="n">it</span><span class="p">])</span>

<span class="k">for</span> <span class="n">i</span> <span class="ow">in</span> <span class="nb">range</span><span class="p">(</span><span class="n">it</span><span class="p">):</span>
    <span class="n">im</span><span class="o">=</span><span class="n">data</span><span class="p">[</span><span class="n">i</span><span class="p">,</span><span class="o">...</span><span class="p">]</span><span class="o">/</span><span class="n">np</span><span class="o">.</span><span class="n">mean</span><span class="p">(</span><span class="n">data</span><span class="p">[</span><span class="mi">0</span><span class="p">,</span><span class="o">...</span><span class="p">])</span>
    <span class="n">im</span><span class="o">=</span><span class="n">im</span><span class="o">&gt;</span><span class="mf">1.5</span>
    <span class="n">box_size</span><span class="p">,</span><span class="n">mean_ani</span><span class="p">,</span><span class="n">all_analysis</span><span class="o">=</span><span class="n">im</span><span class="o">.</span><span class="n">imP</span><span class="o">.</span><span class="n">texture_anisotropy</span><span class="p">([</span><span class="mi">6</span><span class="p">,</span><span class="mi">13</span><span class="p">,</span><span class="mi">26</span><span class="p">,</span><span class="mi">53</span><span class="p">,</span><span class="mi">107</span><span class="p">],</span><span class="n">pix_shift</span><span class="o">=</span><span class="mi">0</span><span class="p">)</span>
    <span class="n">tt_ani</span><span class="p">[:,</span><span class="n">i</span><span class="p">]</span><span class="o">=</span><span class="n">mean_ani</span>
</pre></div>
</div>
</div>
</div>
<div class="cell docutils container">
<div class="cell_input docutils container">
<div class="highlight-ipython3 notranslate"><div class="highlight"><pre><span></span><span class="n">plt</span><span class="o">.</span><span class="n">figure</span><span class="p">()</span>
<span class="n">plt</span><span class="o">.</span><span class="n">imshow</span><span class="p">(</span><span class="n">tt_ani</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">yticks</span><span class="p">(</span><span class="n">ticks</span><span class="o">=</span><span class="n">np</span><span class="o">.</span><span class="n">arange</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="mi">5</span><span class="p">,</span><span class="mi">1</span><span class="p">),</span><span class="n">labels</span><span class="o">=</span><span class="n">bb</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">xlabel</span><span class="p">(</span><span class="s1">&#39;time&#39;</span><span class="p">)</span>
<span class="n">plt</span><span class="o">.</span><span class="n">ylabel</span><span class="p">(</span><span class="s1">&#39;box_size&#39;</span><span class="p">)</span>
</pre></div>
</div>
</div>
<div class="cell_output docutils container">
<div class="output text_plain highlight-myst-ansi notranslate"><div class="highlight"><pre><span></span>Text(0, 0.5, &#39;box_size&#39;)
</pre></div>
</div>
<img alt="../_images/Quick_start_76_1.png" src="../_images/Quick_start_76_1.png" />
</div>
</div>
</div>
</div>
</div>
</div>

    <script type="text/x-thebe-config">
    {
        requestKernel: true,
        binderOptions: {
            repo: "binder-examples/jupyter-stacks-datascience",
            ref: "master",
        },
        codeMirrorConfig: {
            theme: "abcdef",
            mode: "basepy39"
        },
        kernelOptions: {
            kernelName: "basepy39",
            path: "./docs"
        },
        predefinedOutput: true
    }
    </script>
    <script>kernelName = 'basepy39'</script>

              </div>
              
            
                <!-- Previous / next buttons -->
<div class='prev-next-area'>
</div>
            
        </div>
    </div>
    <footer class="footer">
  <p>
    
      By Thomas Chauve<br/>
    
        &copy; Copyright 2021.<br/>
  </p>
</footer>
</main>


      </div>
    </div>
  
  <script src="../_static/js/index.be7d3bbb2ef33a8344ce.js"></script>

  </body>
</html>